.flip-card {
  background-color: transparent;
  width: 400px;
  height: 400px;
  perspective: 1000px; /* Remove this if you don't want the 3D effect */
  margin: 2rem;
}

/* This container is needed to position the front and back side */
.flip-card-inner {
  position: relative;
  width: 100%;
  height: 100%;
  text-align: center;
  transition: transform 0.8s;
  transform-style: preserve-3d;
}

/* Do an horizontal flip when you move the mouse over the flip box container */
.flip-card:hover .flip-card-inner {
 /* transform: rotateY(180deg);   */
}

/* Position the front and back side */
.flip-card-front, .flip-card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  -webkit-backface-visibility: hidden; /* Safari */
  backface-visibility: hidden;
  box-shadow: 0 0 10px 2px #555;
}

/* Style the front side (fallback if image is missing) */
.flip-card-front {
  background-color: #bbb;
  color: black;
  background-size: cover;
  background-position: center;
}

/* Style the back side */
.flip-card-back {
  background-color: #8ec2e0;
  color: #000;
  transform: rotateY(180deg);
}

.is-flipped {
    transform: rotateY(180deg);
}

/* ----- Flip Card Background Images ----- */
#flip-card-1 {
    background-image: url('../img/outside-theater.svg');
}

#flip-card-2 {
    background-image: url('../img/local-screenshot.png');
}

#flip-card-3 {
    background-image: url('../img/ibsp.png');
}

#flip-card-4 {
    background-image: url('../img/shopping-list.png');
}

#flip-card-5 {
    background-image: url('../img/shopping-app.png');
}

#flip-card-6 {
    background-image: url('../img/map.png');
}

#flip-card-7 {
    background-image: url('../img/time.png');
}

#flip-card-8 {
    background-image: url('../img/score4.png');
}

#flip-card-9 {
    background-image: url('../img/omnilyf-wp.png');
}

#flip-card-10 {
    background-image: url('../img/php-polls.png');
}

.title {
    font-size: 2rem;
}

.subtitle {
    font-size: 1.5rem;
}

.title, .subtitle {
    color: #ffff00;
    font-weight: 700;
    text-shadow: 2px 2px #000;
}

.title-box {
    margin-top: 25%;
    margin-bottom: 39%;
    background-color: rgba(0, 0, 255, 0.5);
}

.card-back-title {
    font-size: 2rem;
    color: #fff;
    padding-bottom: .5rem;
    font-weight: 700;
}

.back-title-box {
    background-color: darkblue;
}

.back-content {
    padding: 1rem;
    color: #000;
    font-weight: 700;
    font-size: 20px;
    width: 100%;
    height: 50%;
    text-align: left;
    line-height: 1;
}

.flip, .flip-back, .visit-btn-front, .visit-btn-back {
    padding: .5rem;
    background-color: red;
    color: #fff;
    font-weight: 700;
    border: 2px solid #000;
    border-radius: 15px;
    line-height: 1;
}

.flip {
    margin-right: .5rem;
}

.flip-back {
    margin-top: 20%;
}

.flip:hover, .flip-back:hover, .visit-btn-front:hover, .visit-btn-back:hover {
    -webkit-transition: transform .2s;
  -moz-transition: transform .2s;
  -ms-transition: transform .2s;
  -o-transition: transform .2s;
  transition: transform .2s;
  -webkit-transform: scale(1.1);
  -moz-transform: scale(1.1);
  -ms-transform: scale(1.1);
  -o-transform: scale(1.1);
  transform: scale(1.1);
}

.visit-btn-front {
    margin-left: .5rem;
    display: inline-block;
}

.visit-btn-back {
    margin-top: 20%;
    margin-right: .5rem;
    display: inline-block;
}